#include <FS.h>

String formatBytes(size_t bytes) {
  if (bytes < 1024) {
    return String(bytes) + "Бт";
  } else if (bytes < (1024 * 1024)) {
    return String(bytes / 1024.0) + "КБт";
  } else if (bytes < (1024 * 1024 * 1024)) {
    return String(bytes / 1024.0 / 1024.0) + "МБт";
  } else {
    return String(bytes / 1024.0 / 1024.0 / 1024.0) + "ГБт";
  }
}

void setup() {
  Serial.begin(115200);
  Serial.print("\n\n");
  SPIFFS.begin();
  {
    FSInfo fs_info;
    SPIFFS.info(fs_info);

    Serial.print("Всего доступно байт = ");
    Serial.println(fs_info.totalBytes);
    Serial.print("Использовано байт = ");
    Serial.println(fs_info.usedBytes);
    Serial.print("Размер блока SPIFFS = ");
    Serial.println(fs_info.blockSize);
    Serial.print("Размер логической страницы SPIFFS  = ");
    Serial.println(fs_info.pageSize);
    Serial.print("Одновременное открытие файлов, макс. = ");
    Serial.println(fs_info.maxOpenFiles);
    Serial.print("Длина файлового имени, макс. = ");
    Serial.println(fs_info.maxPathLength);
    Dir dir = SPIFFS.openDir("/");
    while (dir.next()) {
      String fileName = dir.fileName();
      size_t fileSize = dir.fileSize();
      Serial.printf("Имя файла: %s, размер: %s\n", fileName.c_str(), formatBytes(fileSize).c_str());
    }
    Serial.printf("\n");
  }
}

void loop() {
  // основной текст программы, постоянно повторяющийся

}
